Skip to main content
GET
/
history
/
bridge
/
by-withdraw-hash
/
{withdrawTxHash}
Bridge Status (Withdraw Hash)
curl --request GET \
  --url https://api.rhino.fi/bridge/history/bridge/by-withdraw-hash/{withdrawTxHash} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "userId": "<string>",
  "chainIn": "<string>",
  "chainOut": "<string>",
  "amountIn": "<string>",
  "amountInUsd": 123,
  "amountOut": "<string>",
  "amountOutUsd": 123,
  "amountNative": "<string>",
  "amountNativeUsd": 123,
  "fee": "<string>",
  "feeUsd": 123,
  "gasFee": "<string>",
  "gasFeeUsd": 123,
  "platformFee": "<string>",
  "platformFeeUsd": 123,
  "percentageFee": "<string>",
  "percentageFeeUsd": 123,
  "sourceGasFee": "<string>",
  "sourceGasFeeUsd": 123,
  "sponsoredFees": {
    "fee": "<string>",
    "feeUsd": 123,
    "gasFee": "<string>",
    "gasFeeUsd": 123,
    "platformFee": "<string>",
    "platformFeeUsd": 123,
    "percentageFee": "<string>",
    "percentageFeeUsd": 123,
    "sourceGasFee": "<string>",
    "sourceGasFeeUsd": 123
  },
  "recipient": "<string>",
  "depositor": "<string>",
  "createdAt": "<string>",
  "commitmentDate": "<string>",
  "token": "<string>",
  "usdPrice": 123,
  "depositTxHash": "<string>",
  "depositCommittedAt": "<string>",
  "withdrawTxHash": "<string>",
  "withdrawCommittedAt": "<string>",
  "state": "EXECUTED",
  "speed": "fast",
  "estimatedDuration": 1,
  "postBridgeData": {
    "_tag": "extended",
    "vaultId": 1
  },
  "_tag": "bridge",
  "depositDiscoveredAt": "<string>",
  "depositConfirmedAt": "<string>",
  "expectedDepositConfirmedAt": "<string>",
  "expectedDepositConfirmedAtBlock": 123,
  "preSwapTxHash": "<string>",
  "preSwapCommittedAt": "<string>",
  "isConfirmed": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

withdrawTxHash
string
required

Transaction hash of the withdrawal transaction.

Response

BridgeExecuted

_id
string
required
userId
string
required
chainIn
string
required
chainOut
string
required
amountIn
string
required

a string to be decoded into a BigDecimal

amountInUsd
number
required

a number to be decoded into a BigDecimal

amountOut
string
required

a string to be decoded into a BigDecimal

amountOutUsd
number
required

a number to be decoded into a BigDecimal

amountNative
string | null
required

a string to be decoded into a BigDecimal

amountNativeUsd
number | null
required

a number to be decoded into a BigDecimal

fee
string
required

a string to be decoded into a BigDecimal

feeUsd
number
required

a number to be decoded into a BigDecimal

gasFee
string
required

a string to be decoded into a BigDecimal

gasFeeUsd
number
required

a number to be decoded into a BigDecimal

platformFee
string
required

a string to be decoded into a BigDecimal

platformFeeUsd
number
required

a number to be decoded into a BigDecimal

percentageFee
string
required

a string to be decoded into a BigDecimal

percentageFeeUsd
number
required

a number to be decoded into a BigDecimal

sourceGasFee
string
required

a string to be decoded into a BigDecimal

sourceGasFeeUsd
number
required

a number to be decoded into a BigDecimal

sponsoredFees
object
required
recipient
string
required
depositor
string
required
createdAt
string
required

a string to be decoded into a Date

commitmentDate
string
required

a string to be decoded into a Date

token
string
required
usdPrice
number
required

a number to be decoded into a BigDecimal

depositTxHash
string
required
depositCommittedAt
string
required

a string to be decoded into a Date

withdrawTxHash
string
required
withdrawCommittedAt
string
required

a string to be decoded into a Date

state
enum<string>
required
Available options:
EXECUTED
speed
enum<string>
Available options:
fast,
standard,
slow
estimatedDuration
number

a non-negative number to be decoded into a Duration

Required range: x >= 0
postBridgeData
object
_tag
enum<string>
Available options:
bridge
depositDiscoveredAt
string

a string to be decoded into a Date

depositConfirmedAt
string

a string to be decoded into a Date

expectedDepositConfirmedAt
string

a string to be decoded into a Date

expectedDepositConfirmedAtBlock
integer

an integer

preSwapTxHash
string
preSwapCommittedAt
string

a string to be decoded into a Date

isConfirmed
boolean